Index: trunk/gsdl/macros/maori.dm
===================================================================
--- trunk/gsdl/macros/maori.dm	(revision 11211)
+++ trunk/gsdl/macros/maori.dm	(revision 11363)
@@ -607,41 +607,9 @@
 pukapuka.
 }
-
-_texthelptopics_ [l=mi] {<h2 align=left>Kaupapa</h2>
-<ul>
-  <li><a href="\#finding-information">_textsimplehelpheading_</a>
-  _topicreadingdocs_
-  <li><a href="\#searching">NgÄ Huarahi Rapu KÅrero</a>
-<ul>
-  <li><a href="\#query-terms">NgÄ Kupu Rapu</a>
-  <li><a href="\#query-type">NgÄ TÅ«momo Rapunga</a>
-  <li><a href="\#scope-of-queries">Te WhÄnui o te Rapu</a>
-</ul>
-  <li><a href="\#preferences">_textchangeprefs_</a>
-<ul>
-  <li><a href="\#col-prefs">NgÄ KÅwhiringa Kohikohinga</a>
-  <li><a href="\#lang-prefs">NgÄ KÅwhiringa Reo</a>
-  <li><a href="\#pres-prefs">NgÄ KÅwhiringa Whakaaturanga</a>
-  <li><a href="\#search-prefs">NgÄ KÅwhiringa Rapu</a>
-</ul>
-</ul>
-}
-
-# there are 4 versions of this section of the help text.
-# which version is used is currently set within the server
-# (it should probably use the macro language e.g. [type=book])
-# 1 = html (like fao collections) -- section is empty
-# 2 = book (like hdl collection) -- macros beginning with book
-# 3 = bibliographic (like csbib) -- macros beginning with bib
-# 4 = standard (like gberg) -- the default
-
-_topicreadingdocs_ [l=mi] {<li><a href="\#reading-docs">_textreadingdocs_</a>}
+_texthelptopicstitle_ [l=mi] {Kaupapa}
 
 _textreadingdocs_ [l=mi] {NgÄ huarahi hei pÄnui tuhinga}
 
-_texthelpreadingdocs_ [l=mi] {<div class="divbar">&nbsp;</div>
-<a name="reading-docs"></a>
-<h2>_textreadingdocs_</h2>
-
+_texthelpreadingdocs_ [l=mi] {
 <p>Ka kite atu koe i tÄtehi taitara, i tÄtehi whakaahua iti rÄnei i 
 runga ake ki te taha mÄui ka mÅhio koe kei te pÄnui tuhinga. I 
@@ -666,24 +634,17 @@
 noho pÅ«kaha aua kupu i roto i te tuhinga. PÄwhiritia te 
 <i>KORE PÅªKAHA</i> kia tango ai te pÅ«kaha o aua kupu.</p>
-
-<p>
-<table cellspacing="0" cellpadding="2" border="0">
-<tr><td colspan=2><img src="_httpiconbshelf_" border="0"></td><td>WhakatÅ«whera mai Änei pukapuka</td></tr>
-<tr><td><img src="_httpiconopenbook_" border="0"></td><td><img 
-src="_httpiconbook_" border="0"></td><td>WhakatÅ«whera/KÄti tÄnei pukapuka</td></tr>
-<tr><td colspan=2><img src="_httpiconitext_" border="0"></td><td>Tirohia tÄnei wÄhanga tuhituhi</td></tr>
-<tr><td><img src="_document:httpiconealltof_" border="0"></td><td><img 
-src="_document:httpiconetsecof_" border="0"></td><td>Whakaatu mai ngÄ kupu tuhituhi katoa, kÄore rÄnei</td></tr>
-<tr><td><img src="_document:httpiconeexpcof_" border="0"></td><td><img
-src="_document:httpiconeconcof_" border="0"></td><td>Whakanuia WhakarÄrangi Kaupapa, kÄore rÄnei</td></tr>
-<tr><td colspan=2><img src="_document:httpiconedtchof_" border="0"></td><td>WhakatÅ«whera mai tÄnei whÄrangi ki te matapihi hou</td></tr>
-<tr><td><img src="_document:httpiconehlof_" border="0"></td><td><img
-src="_document:httpiconenhlof_" border="0"></td><td>PÅ«kaha ngÄ kupu rapu, kÄore rÄnei</td></tr>
-<tr><td colspan=2><img src="_httpiconmore_" border="0"></td><td>PÄwhiritia tÄnei pere kia haere whakamua ...</td></tr>
-<tr><td colspan=2><img src="_httpiconless_" border="0"></td><td>... pÄwhiritia tÄnei pere kia haere whakamuri</td></tr>
-</table>
-}
-
-_texthelpsearching_ [l=mi] {<h2>He whakamÄrama i te mahi Rapu Kupu</h2>
+}
+
+# help about the icons
+_texthelpopenbookshelf_ [l=mi] {WhakatÅ«whera mai Änei pukapuka}
+_texthelpopenbook_ [l=mi] {WhakatÅ«whera/KÄti tÄnei pukapuka}
+_texthelpviewtextsection_ [l=mi] {Tirohia tÄnei wÄhanga tuhituhi}
+_texthelpexpandtext_ [l=mi] {Whakaatu mai ngÄ kupu tuhituhi katoa, kÄore rÄnei}
+_texthelpexpandcontents_ [l=mi] {Whakanuia WhakarÄrangi Kaupapa, kÄore rÄnei}
+_texthelpdetachpage_ [l=mi] {WhakatÅ«whera mai tÄnei whÄrangi ki te matapihi hou}
+_texthelphighlight_ [l=mi] {PÅ«kaha ngÄ kupu rapu, kÄore rÄnei}
+
+_texthelpsearchingtitle_ [l=mi] {He whakamÄrama i te mahi Rapu Kupu}
+_texthelpsearching_ [l=mi] {
 <p>
      Ko te whÄrangi rapu te whÄrangi hei rapu kupu. Ka puta mai taua whÄrangi ka
@@ -706,9 +667,8 @@
 <p> Ka kore e nuku atu i te 100 o ngÄ pukapuka ka kitea i tÄtehi rapunga. Heoi anÅ
 ka taea te whakarerekÄ tÄnei nama i te pÄtene  <i>kÅwhiringa</i> i runga ake rÄ.<p>
-
-<div class="divbar">&nbsp;</div>
-<a name="query-terms"></a>
-<h3>NgÄ kupu rapu</h3>
-
+}
+
+_texthelpquerytermstitle_ [l=mi] {NgÄ kupu rapu}
+_texthelpqueryterms_ [l=mi] {
 <p> Koia nei ngÄ kupu ka tuhia ki roto i te pouaka rapu. Me noho te 
 mokowÄ (wÄhi wÄtea) i waenganui i ngÄ kupu. Ko ngÄ reta me ngÄ 
@@ -720,9 +680,8 @@
       <p>ka rapua kÄtia e te rorohiko Änei kupu;<p>
       <ul><kbd> huihuinga a motu Whanganui 1860 1885 </kbd></ul><p>
-
-<div class="divbar">&nbsp;</div>
-<a name="query-type"></a>
-<h3>NgÄ tÅ«momo rapu</h3>
-
+}
+
+_texthelpquerytypetitle_ [l=mi] {NgÄ tÅ«momo rapu}
+_texthelpquerytype_ [l=mi] {
 <p>E rua ngÄ tÅ«momo rapu.
 
@@ -745,17 +704,16 @@
 
 <p> Me tuhi i te maha o ngÄ kupu rapu kia arahina te rapu ki tÅ ake hiahia.<p>
-_texthelpscope_
 }
 
 _textdatesearch_ [l=mi] {Rapu RÄ}
 
-_texthelpdatesearch_ [l=mi] {<h2>_textdatesearch_</h2>
+_texthelpdatesearch_ [l=mi] {
 Ko te rapu rÄ tÄtehi rapu e taea ana te mahi motuhake, e taea ana rÄnei te 
 whakaÅ« ki tÄtehi rapunga kupu. He huarahi hei rapu tuhinga i puta mai i 
 tÄtehi tau, i Ätehi tau rÄnei.<p>
-
-<div class="divbar">&nbsp;</div>
-<a name="datesearch-howto"></a>
-<h3>NgÄ Huarahi hei Rapu RÄ:</h3>
+}
+
+_texthelpdatehowtotitle_ [l=mi] {NgÄ Huarahi hei Rapu RÄ:}
+_texthelpdatehowto_ [l=mi] {
 <ul>
    <li>Kia rapu ngÄ tuhinga e pÄ ana ki tÄtehi tau:<p>
@@ -779,9 +737,8 @@
    </ul>    
 </ul><p>
-
-<div class="divbar">&nbsp;</div>
-<a name="datesearch-results"></a>
-<h3>He kÅrero mÅ te Rapu RÄ</h3>
-
+}
+
+_texthelpdateresultstitle_ [l=mi] {He kÅrero mÅ te Rapu RÄ}
+_texthelpdateresults_ [l=mi] {
 Mehemea i rapua e koe te tau 1907 ko ngÄ kitenga he 
 pukapuka kua tuhi kÅrero e pÄ ana ki 1907, kÄore he 
@@ -797,22 +754,19 @@
 _textchangeprefs_ [l=mi] {Te whakarerekÄ Å kÅwhiringa}
 
-_texthelppreferences_ [l=mi] {<h2>_textchangeprefs_</h2>
-
+_texthelppreferences_ [l=mi] {
 <p>Ko te pÄtene <i>kÅwhiringa</i> kei runga ake i te whÄrangi hei 
 whakarerekÄ ai ngÄ kÅwhiringa e pÄ ana ki Åu ake hiahia. 
-
-<div class="divbar">&nbsp;</div>
-<a name="col-prefs"></a>
-<h3 align=left>KÅwhiringa Kohikohinga</h3>
-
+}
+
+_texthelpcollectionprefstitle_ [l=mi] {KÅwhiringa Kohikohinga}
+_texthelpcollectionprefs_ [l=mi] {
 Kei roto i Ätehi kohikohinga he kohikohinga anÅ, he kohikohinga-whÄiti.  
 E taea te whakarite i te whÄrangi kÅwhiringa, ko Äwhea ngÄ 
 kohikohinga-whÄiti ka tirohia i te mahi rapu kupu, ko Äwhea ngÄ 
 kohikohinga-whÄiti ka kore e tirohia i te mahi rapu.
-
-<div class="divbar">&nbsp;</div>
-<a name="lang-prefs"></a>
-<h3 align=left>KÅwhiringa Reo</h3>
-
+}
+
+_texthelplanguageprefstitle_ [l=mi] {KÅwhiringa Reo}
+_texthelplanguageprefs_ [l=mi] {
 Kei ngÄ kohikohinga he reo tauwhiti. E taea ana te whakarite 
 kÅ tÄwhea te reo tauwhiti tuatahi ka kite atu ai te kaipÄnui. 
@@ -822,8 +776,8 @@
 o ngÄ kÅrero, arÄ kia text anakÄ, hei Äwhina i ngÄ tÄngata e Ähua 
 kÄpÅ ana.
-
-<div class="divbar">&nbsp;</div>
-<a name="pres-prefs"></a>
-<h3 align=left>KÅwhiringa Whakaaturanga</h3>
+}
+
+_texthelppresentationprefstitle_ [l=mi] {KÅwhiringa Whakaaturanga}
+_texthelppresentationprefs_ [l=mi] {
 
 Ka rerekÄ ngÄ kÅwhiringa whakaaturanga e taea ana te whakarite 
@@ -834,8 +788,8 @@
 o te pÅ«manawa tirotiro e tohutoro. Kei Ätehi atu kohikohinga e taea 
 ana te rapu kitenga i te ipurangi whÄnui, me te haere tÅtika ki reira,
-
-<div class="divbar">&nbsp;</div>
-<a name="search-prefs"></a>
-<h3 align=left>KÅwhiringa Rapu</h3>
+}
+
+_texthelpsearchprefstitle_ [l=mi] {KÅwhiringa Rapu}
+_texthelpsearchprefs_ [l=mi] {
 <p>E rua ngÄ kÅwhiringa hei whakarite ai i te hÄngai pÅ« o te kupu
 rapu ki te kupu kite. Ko te kÅwhiringa tuatahi ko ngÄ pÅ« matua me 
@@ -874,8 +828,6 @@
 _textsimplehelpheading_ [l=mi] {NgÄ huarahi hei rapu kÅrero}
 
-_texthelpscope_ [l=mi] {<div class="divbar">&nbsp;</div>
-<a name="scope-of-queries"></a>
-<h3 align=left>NgÄ TaupÅ« o te Rapu</h3>
-
+_texthelpscopetitle_ [l=mi] {NgÄ TaupÅ« o te Rapu}
+_texthelpscope_ [l=mi] {
 <p>
 Kei te nuinga o ngÄ kohikohinga e taea ana te whiriwhiri ki 
